Subject: bug#66970: (no subject)

From: Sukbeom Kim <[email-masked]>
Date: Wed, 8 Nov 2023 09:48:12 +0900

The last comment was quite confusing. So I would like to re-summarize the
result.

   - Emacs's LEIM => overwrite-mode is not working.
   - Input Method (iBus) => ok

2023년 11월 7일 (화) 오전 2:04, Eli Zaretskii <[email-masked]>님이 작성:

> > Date: Tue, 7 Nov 2023 01:37:43 +0900
> > From: SUKBEOM KIM <[email-masked]>
> >
> > I forgot to provide the test sequence to reproduce the issue:
> >
> > 1 type 'aeiou' and <C-a>
> >
> > 2 <M-x> set-input-method and set to korean-hangul (2-beoksik)
> >
> > 3 <M-x> overwrite-mode.
> >   Replace 'ae' to '아' and 'oi' to '에'. You can type them with typing
> 'dk', 'dp'.
> >
> > 4 I expected '아에u', but the actual result is '아에aeiou'.
> >  Replacing Korean characters with alphabets is working but not vice
> versa.
>
> What happens if you type the Korean characters using a Korean
> keyboard, not via a Leim input method?  Does it also not work?  Or is
> the problem only with typing via an input method?
>